---
title: 'xml:lang'
slug: 'Web/SVG/Attribute/xml:lang'
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>xml:lang</code></strong> attribute specifies the primary language used in contents and attributes containing text content of particular elements.</span></p>

<p>It is a universal attribute allowed in all XML dialects to mark up the natural human language that an element contains.</p>

<p>There is also a {{SVGAttr("lang")}} attribute (without namespace). If both of them are defined, the one with namespace is used and the one without is ignored.</p>

<p>All elements are using this attribute.</p>

<div id="topExample">
<pre class="brush: html; highlight[2]">&lt;svg viewBox="0 0 200 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text xml:lang="en-US"&gt;This is some English text&lt;/text&gt;
&lt;/svg&gt;</pre>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;language-tag&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;language-tag&gt;</code></dt>
 <dd>
 <p>This value specifies the language used for the element. The syntax of this value is defined in the <a href="https://tools.ietf.org/html/bcp47#section-2.1">BCP 47</a> specification.</p>

 <p>The most common syntax is a value formed by a lowercase two-character part for the language and an uppercase two-character part for the region or country, separated by a minus sign, e.g. <code>en-US</code> for US English or <code>de-AT</code> for Austrian German.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#XMLLangAttribute", "xml:lang")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Made the {{SVGAttr("lang")}} attribute (without namespace) available on all elements and defined the interaction between both.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feTurbulenceSeedAttribute", "xml:lang")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.core.xml_lang")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/xml/#sec-lang-tag">XML specification of <code>xml:lang</code></a></li>
 <li><a href="https://tools.ietf.org/html/bcp47">BCP 47 specification for tags for identifying languages</a></li>
</ul>
